import "../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.mjs";
import "../../../node_modules/.pnpm/screenfull@6.0.2/node_modules/screenfull/index.mjs";
import "../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_root.mjs";
import "../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseGetTag.mjs";
import "../../../node_modules/.pnpm/html2canvas@1.4.1/node_modules/html2canvas/dist/html2canvas.esm.mjs";
import "../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseClone.mjs";
import "../../../node_modules/.pnpm/crypto-js@4.1.1/node_modules/crypto-js/index.mjs";
import "../../enums/pageEnum.mjs";
import "../../router/index.mjs";
import "../../store/modules/designStore/designStore.mjs";
import "../../../node_modules/.pnpm/vue3-lazyload@0.2.5-beta_a6dezdz3je235ci4e3tu4rayna/node_modules/vue3-lazyload/dist/vue3-lazyload.esm.mjs";
import "../../components/GoSkeleton/index.vue.mjs";
import "../../components/GoLoading/index.mjs";
import "../../settings/designSetting.mjs";
import { loadAsyncComponent } from "../../utils/components.mjs";
import _sfc_main$1 from "../../layout/components/LayoutHeaderPro/index.vue.mjs";
import { useContextMenu } from "./hooks/useContextMenu.hook.mjs";
import { useChartEditStore } from "../../store/modules/chartEditStore/chartEditStore.mjs";
import { useChartHistoryStore } from "../../store/modules/chartHistoryStore/chartHistoryStore.mjs";
import { defineComponent, resolveComponent, openBlock, createElementBlock, createElementVNode as createBaseVNode, createVNode, withCtx, Fragment } from "../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.mjs";
import { unref } from "../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.mjs";
const _hoisted_1 = { class: "go-chart" };
const _hoisted_2 = { style: { "overflow": "hidden", "display": "flex" } };
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  setup(__props) {
    const chartHistoryStoreStore = useChartHistoryStore();
    const chartEditStore = useChartEditStore();
    chartHistoryStoreStore.canvasInit(chartEditStore.getEditCanvas);
    const HeaderLeftBtn = loadAsyncComponent(() => import("./ContentHeader/headerLeftBtn/index.vue.mjs"));
    const HeaderRightBtn = loadAsyncComponent(() => import("./ContentHeader/headerRightBtn/index.vue.mjs"));
    loadAsyncComponent(() => import("./ContentHeader/headerTitle/index.vue.mjs"));
    const ContentLayers = loadAsyncComponent(() => import("./ContentLayers/index.vue.mjs"));
    const ContentCharts = loadAsyncComponent(() => import("./ContentCharts/index.vue.mjs"));
    const ContentConfigurations = loadAsyncComponent(() => import("./ContentConfigurations/index.vue.mjs"));
    const ContentLoad = loadAsyncComponent(() => import("./ContentLoad/index.vue.mjs"));
    const { menuOptions, onClickOutSide, mousePosition, handleMenuSelect } = useContextMenu();
    return (_ctx, _cache) => {
      const _component_n_layout_content = resolveComponent("n-layout-content");
      const _component_n_layout = resolveComponent("n-layout");
      const _component_n_dropdown = resolveComponent("n-dropdown");
      return openBlock(), createElementBlock(Fragment, null, [
        createBaseVNode("div", _hoisted_1, [
          createVNode(_component_n_layout, null, {
            default: withCtx(() => [
              createVNode(unref(_sfc_main$1), null, {
                left: withCtx(() => [
                  createVNode(unref(HeaderLeftBtn))
                ]),
                "ri-left": withCtx(() => [
                  createVNode(unref(HeaderRightBtn))
                ]),
                _: 1
              }),
              createVNode(_component_n_layout_content, { "content-style": "overflow:hidden; display: flex" }, {
                default: withCtx(() => [
                  createBaseVNode("div", _hoisted_2, [
                    createVNode(unref(ContentCharts)),
                    createVNode(unref(ContentLayers))
                  ]),
                  createVNode(unref(ContentConfigurations))
                ]),
                _: 1
              })
            ]),
            _: 1
          })
        ]),
        createVNode(_component_n_dropdown, {
          placement: "bottom-start",
          trigger: "manual",
          size: "small",
          x: unref(mousePosition).x,
          y: unref(mousePosition).y,
          options: unref(menuOptions),
          show: unref(chartEditStore).getRightMenuShow,
          "on-clickoutside": unref(onClickOutSide),
          onSelect: unref(handleMenuSelect)
        }, null, 8, ["x", "y", "options", "show", "on-clickoutside", "onSelect"]),
        createVNode(unref(ContentLoad))
      ], 64);
    };
  }
});
export {
  _sfc_main as default
};
